Debian Bug report logs - #643903
xserver-xorg-video-nvidia: incompatibility with xserver v. 1.11.1-1. 100% CPU, really slow switching in some instances

version graph

Package: nvidia-graphics-drivers; Maintainer for nvidia-graphics-drivers is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>;

Reported by: Jon Daley <debian@jon.limedaley.com>

Date: Fri, 30 Sep 2011 17:00:05 UTC

Severity: important

Tags: upstream

Merged with 642757, 643706, 643712, 643762, 643919, 643983, 644119, 644302, 644350, 644505, 644686, 644829, 645641, 645986

Found in versions 285.05.09-1, 280.13.really.275.28-1

Fixed in versions 290.03-1, nvidia-graphics-drivers/280.13.really.275.36-1, nvidia-graphics-drivers/290.03-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Forwarded to http://www.nvnews.net/vbulletin/showthread.php?t=166698

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package xserver-xorg-video-nvidia. (Fri, 30 Sep 2011 17:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 30 Sep 2011 17:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-nvidia: incompatibility with xserver v. 1.11.1-1. 100% CPU, really slow switching in some instances
Date: Fri, 30 Sep 2011 12:56:39 -0400
Package: xserver-xorg-video-nvidia
Version: 280.13.really.275.28-1
Severity: important

Hi, I'm opening a new report, because I'm not sure if it is identical to the 
others, though my guess is that we are all experiencing the same problem, with similar 
symptoms.

Potentially relevant bugs:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=640157 -> ABI 10 vs 11 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643712 -> system slow
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643762 -> system slow
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643706 -> system slow

I worked on this for a while, playing with version numbers of nvidia* and xserver* packages.

My conclusion is that the nvidia driver doesn't actually support ABI11.

I have a working system if I downgrade:
xserver-xorg-core to 1.10.4-1
xserver-xorg-input-evdev to 2.6.0-2+b1
xserver-xorg-input-kbd to 1.6.0-3
xserver-xorg-input-mouse to 1.7.1-1

There are various places to test it, though it is most obvious in iceweasel (and I played 
with versions of iceweasel for a long time, because I had upgraded xserver,nvidia and 
iceweasel at the same time the other day).

But, this bug happens on iceweasel from stable, testing and unstable.

A good test is visiting this page in iceweasel, and then scrolling to the 
javascript-created images, and maybe opening some other simple tabs, and switching around, 
and have some overlapping x-terms and alt-tab around.  The performance goes from less than 
a second to 10-15 seconds where X is completely hung.

http://www.filamentgroup.com/lab/update_to_jquery_visualize_accessible_charts_with_html5_from_designing_with/

I tested using xserver 1.10 with nvidia 280.13-1 and 280.13.really.275.28-1 and they both work.

Due to dependencies, I can't test nvidia 280.13-1 with xserver 1.11, so I don't know if 
that would work or not.

Hopefully, this helps you track it down.  Let me know if I can help you work on anything.


-- Package-specific info:
uname -a:
Linux lemon 3.0.0-1-686-pae #1 SMP Sat Aug 27 16:41:03 UTC 2011 i686 GNU/Linux

/proc/version:
Linux version 3.0.0-1-686-pae (Debian 3.0.0-3) (ben@decadent.org.uk) (gcc version 4.5.3 (Debian 4.5.3-8) ) #1 SMP Sat Aug 27 16:41:03 UTC 2011

/proc/driver/nvidia/version:
NVRM version: NVIDIA UNIX x86 Kernel Module  275.28  Wed Aug 31 18:26:00 PDT 2011
GCC version:  gcc version 4.5.3 (Debian 4.5.3-9) 

lspci 'VGA compatible controller [0300]':
01:00.0 VGA compatible controller [0300]: nVidia Corporation G98 [GeForce 8400 GS] [10de:06e4] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: eVga.com. Corp. Device [3842:c738]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at de000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at dc000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at dc80 [size=128]
	[virtual] Expansion ROM at df000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

dmesg:
[    0.000000] Console: colour VGA+ 80x25
[    0.511393] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
[    0.511457] vgaarb: loaded
[    0.511504] vgaarb: bridge control possible 0000:01:00.0
[    1.428909] Linux agpgart interface v0.103
[   12.369172] nvidia: module license 'NVIDIA' taints kernel.
[   14.133814] nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   14.133882] nvidia 0000:01:00.0: setting latency timer to 64
[   14.133889] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[   14.134187] NVRM: loading NVIDIA UNIX x86 Kernel Module  275.28  Wed Aug 31 18:26:00 PDT 2011

OpenGL and NVIDIA library files installed:
lrwxrwxrwx 1 root root       15 Sep 13 13:41 /etc/alternatives/glx -> /usr/lib/nvidia
lrwxrwxrwx 1 root root       41 Sep 13 13:41 /etc/alternatives/glx--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       41 Sep 13 13:41 /etc/alternatives/glx--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       49 Sep 13 13:41 /etc/alternatives/glx--libXvMCNVIDIA.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libXvMCNVIDIA.so.1
lrwxrwxrwx 1 root root       57 Sep 13 13:41 /etc/alternatives/glx--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libXvMCNVIDIA_dynamic.so.1
lrwxrwxrwx 1 root root       49 Sep 13 13:41 /etc/alternatives/glx--libnvidia-cfg.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libnvidia-cfg.so.1
lrwxrwxrwx 1 root root       25 Sep 13 13:41 /etc/alternatives/glx--linux-libglx.so -> /usr/lib/nvidia/libglx.so
lrwxrwxrwx 1 root root       36 Sep 13 13:41 /etc/alternatives/glx--nvidia-bug-report.sh -> /usr/lib/nvidia/nvidia-bug-report.sh
lrwxrwxrwx 1 root root       29 Sep 13 13:41 /etc/alternatives/glx--nvidia_drv.so -> /usr/lib/nvidia/nvidia_drv.so
lrwxrwxrwx 1 root root       23 Sep  2 16:44 /etc/alternatives/nvidia -> /usr/lib/nvidia/current
lrwxrwxrwx 1 root root       49 Sep  2 16:44 /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libGL.so.1
lrwxrwxrwx 1 root root       49 Sep  2 16:44 /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libGL.so.1
lrwxrwxrwx 1 root root       57 Sep  2 16:44 /etc/alternatives/nvidia--libXvMCNVIDIA.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libXvMCNVIDIA.so.1
lrwxrwxrwx 1 root root       65 Sep  2 16:44 /etc/alternatives/nvidia--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libXvMCNVIDIA_dynamic.so.1
lrwxrwxrwx 1 root root       33 Sep  2 16:44 /etc/alternatives/nvidia--libglx.so -> /usr/lib/nvidia/current/libglx.so
lrwxrwxrwx 1 root root       57 Sep  2 16:44 /etc/alternatives/nvidia--libnvidia-cfg.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libnvidia-cfg.so.1
lrwxrwxrwx 1 root root       44 Sep  2 16:44 /etc/alternatives/nvidia--nvidia-bug-report.sh -> /usr/lib/nvidia/current/nvidia-bug-report.sh
lrwxrwxrwx 1 root root       37 Sep  2 16:44 /etc/alternatives/nvidia--nvidia_drv.so -> /usr/lib/nvidia/current/nvidia_drv.so
lrwxrwxrwx 1 root root       48 Sep 13 13:41 /usr/lib/i386-linux-gnu/libGL.so.1 -> /etc/alternatives/glx--libGL.so.1-i386-linux-gnu
lrwxrwxrwx 1 root root       56 Sep 13 13:41 /usr/lib/i386-linux-gnu/libnvidia-cfg.so.1 -> /etc/alternatives/glx--libnvidia-cfg.so.1-i386-linux-gnu
-rw-r--r-- 1 root root 25958868 Aug 31 21:44 /usr/lib/i386-linux-gnu/libnvidia-glcore.so.275.28
-rw-r--r-- 1 root root     8264 Aug 31 21:48 /usr/lib/i386-linux-gnu/libnvidia-tls.so.275.28
-rw-r--r-- 1 root root 16407 Sep 30 12:37 /var/log/Xorg.0.log
-rw-r--r-- 1 root root 16969 Sep 30 12:36 /var/log/Xorg.0.log.old
-rw-r--r-- 1 root root 12244 Jul 31  2010 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 42604 Oct  5  2009 /var/log/Xorg.1.log.old

/usr/lib/i386-linux-gnu/nvidia/:
total 32
drwxr-xr-x  3 root root  4096 Sep  2 16:44 .
drwxr-xr-x 28 root root 20480 Sep 30 12:31 ..
drwxr-xr-x  2 root root  4096 Sep 30 12:31 current
lrwxrwxrwx  1 root root    51 Sep  2 16:44 libGL.so.1 -> /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu
lrwxrwxrwx  1 root root    59 Sep  2 16:44 libXvMCNVIDIA.so.1 -> /etc/alternatives/nvidia--libXvMCNVIDIA.so.1-i386-linux-gnu
lrwxrwxrwx  1 root root    67 Sep  2 16:44 libXvMCNVIDIA_dynamic.so.1 -> /etc/alternatives/nvidia--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu
lrwxrwxrwx  1 root root    59 Sep  2 16:44 libnvidia-cfg.so.1 -> /etc/alternatives/nvidia--libnvidia-cfg.so.1-i386-linux-gnu

/usr/lib/i386-linux-gnu/nvidia/current/:
total 1108
drwxr-xr-x 2 root root   4096 Sep 30 12:31 .
drwxr-xr-x 3 root root   4096 Sep  2 16:44 ..
lrwxrwxrwx 1 root root     15 Sep 11 18:13 libGL.so.1 -> libGL.so.275.28
-rw-r--r-- 1 root root 791876 Aug 31 21:45 libGL.so.275.28
lrwxrwxrwx 1 root root     23 Sep 11 18:13 libXvMCNVIDIA.so.1 -> libXvMCNVIDIA.so.275.28
-rw-r--r-- 1 root root 182996 Aug 31 21:31 libXvMCNVIDIA.so.275.28
lrwxrwxrwx 1 root root     23 Sep 11 18:13 libXvMCNVIDIA_dynamic.so.1 -> libXvMCNVIDIA.so.275.28
lrwxrwxrwx 1 root root     23 Sep 11 18:13 libnvidia-cfg.so.1 -> libnvidia-cfg.so.275.28
-rw-r--r-- 1 root root 131944 Aug 31 22:19 libnvidia-cfg.so.275.28

/usr/lib/mesa-diverted/:
total 148
drwxr-xr-x   4 root root   4096 Sep 13 13:41 .
drwxr-xr-x 223 root root 135168 Sep 30 12:31 ..
drwxr-xr-x   2 root root   4096 Sep 13 13:39 i386-linux-gnu
drwxr-xr-x   2 root root   4096 Jul 19 17:29 x86_64-linux-gnu

/usr/lib/mesa-diverted/i386-linux-gnu/:
total 344
drwxr-xr-x 2 root root   4096 Sep 13 13:39 .
drwxr-xr-x 4 root root   4096 Sep 13 13:41 ..
lrwxrwxrwx 1 root root     12 Aug 28 14:40 libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 336672 Aug 28 14:40 libGL.so.1.2

/usr/lib/mesa-diverted/x86_64-linux-gnu/:
total 8
drwxr-xr-x 2 root root 4096 Jul 19 17:29 .
drwxr-xr-x 4 root root 4096 Sep 13 13:41 ..

/usr/lib/nvidia/:
total 160
drwxr-xr-x   3 root root   4096 Sep 30 12:31 .
drwxr-xr-x 223 root root 135168 Sep 30 12:31 ..
-rwxr-xr-x   1 root root   1775 Jul  4 13:30 check-for-conflicting-opengl-libraries
-rwxr-xr-x   1 root root   1341 Jul  4 08:29 check-for-mismatching-nvidia-module
-rwxr-xr-x   1 root root   2566 Jul 12 06:26 create-xorg-nvidia-conf-experimental
drwxr-xr-x   2 root root   4096 Sep 30 12:31 current
lrwxrwxrwx   1 root root     35 Sep  2 16:44 libglx.so -> /etc/alternatives/nvidia--libglx.so
lrwxrwxrwx   1 root root     24 Sep  2 16:44 nvidia -> /etc/alternatives/nvidia
lrwxrwxrwx   1 root root     46 Sep  2 16:44 nvidia-bug-report.sh -> /etc/alternatives/nvidia--nvidia-bug-report.sh
lrwxrwxrwx   1 root root     39 Sep  2 16:44 nvidia_drv.so -> /etc/alternatives/nvidia--nvidia_drv.so
-rwxr-xr-x   1 root root    441 Apr 27 07:08 pre-install

/usr/lib/nvidia/current/:
total 10932
drwxr-xr-x 2 root root    4096 Sep 30 12:31 .
drwxr-xr-x 3 root root    4096 Sep 30 12:31 ..
lrwxrwxrwx 1 root root      16 Sep 11 18:13 libglx.so -> libglx.so.275.28
-rw-r--r-- 1 root root 4436464 Aug 31 21:48 libglx.so.275.28
-rwxr-xr-x 1 root root   13393 Apr 23 04:23 nvidia-bug-report.sh
-rw-r--r-- 1 root root    3807 Sep 11 18:13 nvidia.ids
-rw-r--r-- 1 root root 6699960 Aug 31 21:30 nvidia_drv.so

/usr/lib/nvidia/nvidia/:
total 10932
drwxr-xr-x 2 root root    4096 Sep 30 12:31 .
drwxr-xr-x 3 root root    4096 Sep 30 12:31 ..
lrwxrwxrwx 1 root root      16 Sep 11 18:13 libglx.so -> libglx.so.275.28
-rw-r--r-- 1 root root 4436464 Aug 31 21:48 libglx.so.275.28
-rwxr-xr-x 1 root root   13393 Apr 23 04:23 nvidia-bug-report.sh
-rw-r--r-- 1 root root    3807 Sep 11 18:13 nvidia.ids
-rw-r--r-- 1 root root 6699960 Aug 31 21:30 nvidia_drv.so

Files from nvidia-installer:

Config and logfiles:

<<<<<<<<<< /etc/X11/xorg.conf >>>>>>>>>>
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 1.0  (buildd@biber)  Tue May 18 10:36:08 UTC 2010

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildd@ninsei)  Fri Sep  5 22:23:08 UTC 2008

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
    RgbPath         "/usr/X11R6/lib/X11/rgb"
EndSection

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Keyboard0"
    Driver         "keyboard"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "ViewSonic GS815-2"
    HorizSync       30.0 - 121.0
    VertRefresh     50.0 - 180.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 8400 GS"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "0"
    Option         "TwinViewXineramaInfoOrder" "CRT-0"
    Option         "metamodes" "1920x1440 +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

^^^^^^^^^^ /etc/X11/xorg.conf ^^^^^^^^^^

<<<<<<<<<< /var/log/Xorg.0.log >>>>>>>>>>
[    28.087] 
X.Org X Server 1.11.1
Release Date: 2011-09-24
[    28.095] X Protocol Version 11, Revision 0
[    28.095] Build Operating System: Linux 2.6.32-5-amd64 i686 Debian
[    28.095] Current Operating System: Linux lemon 3.0.0-1-686-pae #1 SMP Sat Aug 27 16:41:03 UTC 2011 i686
[    28.095] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.0.0-1-686-pae root=UUID=347ba7ce-21c7-480c-8e29-96bd1c8eb72a ro
[    28.095] Build Date: 24 September 2011  10:02:42AM
[    28.095] xorg-server 2:1.11.1-1 (Cyril Brulebois <kibi@debian.org>) 
[    28.095] Current version of pixman: 0.22.2
[    28.095] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    28.095] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    28.095] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Sep 30 12:37:04 2011
[    28.171] (==) Using config file: "/etc/X11/xorg.conf"
[    28.172] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    28.198] Parse error on line 16 of section Files in file /etc/X11/xorg.conf
	Ignoring obsolete keyword "RgbPath".
[    28.199] (==) ServerLayout "Layout0"
[    28.199] (**) |-->Screen "Screen0" (0)
[    28.199] (**) |   |-->Monitor "Monitor0"
[    28.208] (**) |   |-->Device "Device0"
[    28.329] (**) |-->Input Device "Keyboard0"
[    28.329] (**) |-->Input Device "Mouse0"
[    28.329] (**) Option "Xinerama" "0"
[    28.329] (==) Automatically adding devices
[    28.329] (==) Automatically enabling devices
[    28.399] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    28.399] 	Entry deleted from font path.
[    28.475] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[    28.475] (==) ModulePath set to "/usr/lib/xorg/modules"
[    28.475] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    28.475] (WW) Disabling Keyboard0
[    28.475] (WW) Disabling Mouse0
[    28.586] (II) Loader magic: 0x822b800
[    28.586] (II) Module ABI versions:
[    28.586] 	X.Org ANSI C Emulation: 0.4
[    28.586] 	X.Org Video Driver: 11.0
[    28.586] 	X.Org XInput driver : 13.0
[    28.587] 	X.Org Server Extension : 6.0
[    28.588] (--) PCI:*(0:1:0:0) 10de:06e4:3842:c738 rev 161, Mem @ 0xde000000/16777216, 0xc0000000/268435456, 0xdc000000/33554432, I/O @ 0x0000dc80/128, BIOS @ 0x????????/131072
[    28.588] (II) Open ACPI successful (/var/run/acpid.socket)
[    28.588] (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
[    28.588] (II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
[    28.588] (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
[    28.588] (II) "record" will be loaded by default.
[    28.588] (II) "dri" will be loaded by default.
[    28.588] (II) "dri2" will be loaded by default.
[    28.588] (II) LoadModule: "dbe"
[    28.718] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    28.721] (II) Module dbe: vendor="X.Org Foundation"
[    28.721] 	compiled for 1.11.1, module version = 1.0.0
[    28.721] 	Module class: X.Org Server Extension
[    28.721] 	ABI class: X.Org Server Extension, version 6.0
[    28.721] (II) Loading extension DOUBLE-BUFFER
[    28.721] (II) LoadModule: "extmod"
[    28.722] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    28.735] (II) Module extmod: vendor="X.Org Foundation"
[    28.735] 	compiled for 1.11.1, module version = 1.0.0
[    28.735] 	Module class: X.Org Server Extension
[    28.735] 	ABI class: X.Org Server Extension, version 6.0
[    28.735] (II) Loading extension SELinux
[    28.735] (II) Loading extension MIT-SCREEN-SAVER
[    28.735] (II) Loading extension XFree86-VidModeExtension
[    28.735] (II) Loading extension XFree86-DGA
[    28.735] (II) Loading extension DPMS
[    28.735] (II) Loading extension XVideo
[    28.736] (II) Loading extension XVideo-MotionCompensation
[    28.736] (II) Loading extension X-Resource
[    28.736] (II) LoadModule: "glx"
[    28.736] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    31.621] (II) Module glx: vendor="NVIDIA Corporation"
[    31.621] 	compiled for 4.0.2, module version = 1.0.0
[    31.621] 	Module class: X.Org Server Extension
[    31.621] (II) NVIDIA GLX Module  275.28  Wed Aug 31 18:45:27 PDT 2011
[    31.621] (II) Loading extension GLX
[    31.621] (II) LoadModule: "record"
[    31.621] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    31.652] (II) Module record: vendor="X.Org Foundation"
[    31.652] 	compiled for 1.11.1, module version = 1.13.0
[    31.652] 	Module class: X.Org Server Extension
[    31.652] 	ABI class: X.Org Server Extension, version 6.0
[    31.652] (II) Loading extension RECORD
[    31.652] (II) LoadModule: "dri"
[    31.652] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    31.746] (II) Module dri: vendor="X.Org Foundation"
[    31.746] 	compiled for 1.11.1, module version = 1.0.0
[    31.746] 	ABI class: X.Org Server Extension, version 6.0
[    31.746] (II) Loading extension XFree86-DRI
[    31.746] (II) LoadModule: "dri2"
[    31.746] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    31.777] (II) Module dri2: vendor="X.Org Foundation"
[    31.777] 	compiled for 1.11.1, module version = 1.2.0
[    31.777] 	ABI class: X.Org Server Extension, version 6.0
[    31.777] (II) Loading extension DRI2
[    31.777] (II) LoadModule: "nvidia"
[    31.777] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    32.115] (II) Module nvidia: vendor="NVIDIA Corporation"
[    32.115] 	compiled for 4.0.2, module version = 1.0.0
[    32.115] 	Module class: X.Org Video Driver
[    32.479] (II) NVIDIA dlloader X Driver  275.28  Wed Aug 31 18:27:32 PDT 2011
[    32.485] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    32.496] (++) using VT number 7

[    32.559] (II) Loading sub module "fb"
[    32.559] (II) LoadModule: "fb"
[    32.560] (II) Loading /usr/lib/xorg/modules/libfb.so
[    32.797] (II) Module fb: vendor="X.Org Foundation"
[    32.797] 	compiled for 1.11.1, module version = 1.0.0
[    32.797] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    32.797] (II) Loading sub module "wfb"
[    32.797] (II) LoadModule: "wfb"
[    32.797] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    32.841] (II) Module wfb: vendor="X.Org Foundation"
[    32.841] 	compiled for 1.11.1, module version = 1.0.0
[    32.841] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    32.841] (II) Loading sub module "ramdac"
[    32.841] (II) LoadModule: "ramdac"
[    32.841] (II) Module "ramdac" already built-in
[    32.860] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    32.860] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    32.860] (II) Loading /usr/lib/xorg/modules/libfb.so
[    32.872] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    32.872] (==) NVIDIA(0): RGB weight 888
[    32.872] (==) NVIDIA(0): Default visual is TrueColor
[    32.872] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    32.872] (**) NVIDIA(0): Option "TwinView" "0"
[    32.872] (**) NVIDIA(0): Option "MetaModes" "1920x1440 +0+0"
[    32.872] (**) NVIDIA(0): Option "TwinViewXineramaInfoOrder" "CRT-0"
[    34.637] (II) NVIDIA(GPU-0): Display (ViewSonic GS815-2 (CRT-0)) does not support NVIDIA 3D
[    34.637] (II) NVIDIA(GPU-0):     Vision stereo.
[    34.659] (II) NVIDIA(0): NVIDIA GPU GeForce 8400 GS (G98) at PCI:1:0:0 (GPU-0)
[    34.659] (--) NVIDIA(0): Memory: 524288 kBytes
[    34.659] (--) NVIDIA(0): VideoBIOS: 62.98.42.00.34
[    34.659] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[    34.659] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[    34.659] (--) NVIDIA(0): Connected display device(s) on GeForce 8400 GS at PCI:1:0:0
[    34.659] (--) NVIDIA(0):     ViewSonic GS815-2 (CRT-0)
[    34.659] (--) NVIDIA(0): ViewSonic GS815-2 (CRT-0): 400.0 MHz maximum pixel clock
[    34.723] (II) NVIDIA(0): Assigned Display Device: CRT-0
[    34.723] (II) NVIDIA(0): Validated modes:
[    34.723] (II) NVIDIA(0):     "1920x1440+0+0"
[    34.723] (II) NVIDIA(0): Virtual screen size determined to be 1920 x 1440
[    34.746] (--) NVIDIA(0): DPI set to (121, 121); computed from "UseEdidDpi" X config
[    34.746] (--) NVIDIA(0):     option
[    34.746] (--) Depth 24 pixmap format is 32 bpp
[    34.746] (II) NVIDIA: Using 768.00 MB of virtual memory for indirect memory access.
[    34.755] (II) NVIDIA(0): Setting mode "1920x1440+0+0"
[    34.869] (II) Loading extension NV-GLX
[    35.263] (==) NVIDIA(0): Disabling shared memory pixmaps
[    35.263] (==) NVIDIA(0): Backing store disabled
[    35.264] (==) NVIDIA(0): Silken mouse enabled
[    35.264] (**) NVIDIA(0): DPMS enabled
[    35.264] (II) Loading extension NV-CONTROL
[    35.265] (II) Loading extension XINERAMA
[    35.265] (II) Loading sub module "dri2"
[    35.265] (II) LoadModule: "dri2"
[    35.265] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    35.265] (II) Module dri2: vendor="X.Org Foundation"
[    35.265] 	compiled for 1.11.1, module version = 1.2.0
[    35.265] 	ABI class: X.Org Server Extension, version 6.0
[    35.265] (II) NVIDIA(0): [DRI2] Setup complete
[    35.265] (==) RandR enabled
[    35.265] (II) Initializing built-in extension Generic Event Extension
[    35.265] (II) Initializing built-in extension SHAPE
[    35.265] (II) Initializing built-in extension MIT-SHM
[    35.265] (II) Initializing built-in extension XInputExtension
[    35.265] (II) Initializing built-in extension XTEST
[    35.265] (II) Initializing built-in extension BIG-REQUESTS
[    35.266] (II) Initializing built-in extension SYNC
[    35.266] (II) Initializing built-in extension XKEYBOARD
[    35.266] (II) Initializing built-in extension XC-MISC
[    35.266] (II) Initializing built-in extension SECURITY
[    35.266] (II) Initializing built-in extension XINERAMA
[    35.266] (II) Initializing built-in extension XFIXES
[    35.266] (II) Initializing built-in extension RENDER
[    35.266] (II) Initializing built-in extension RANDR
[    35.266] (II) Initializing built-in extension COMPOSITE
[    35.266] (II) Initializing built-in extension DAMAGE
[    35.266] (II) SELinux: Disabled on system
[    35.270] (II) Initializing extension GLX
[    36.171] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[    36.171] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    36.171] (II) LoadModule: "evdev"
[    36.171] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.181] (II) Module evdev: vendor="X.Org Foundation"
[    36.181] 	compiled for 1.11.0, module version = 2.6.0
[    36.181] 	Module class: X.Org XInput Driver
[    36.181] 	ABI class: X.Org XInput driver, version 13.0
[    36.181] (II) Using input driver 'evdev' for 'Power Button'
[    36.181] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.181] (**) Power Button: always reports core events
[    36.181] (**) Power Button: Device: "/dev/input/event2"
[    36.181] (--) Power Button: Found keys
[    36.181] (II) Power Button: Configuring as keyboard
[    36.181] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[    36.181] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[    36.181] (**) Option "xkb_rules" "evdev"
[    36.181] (**) Option "xkb_model" "pc101"
[    36.182] (**) Option "xkb_layout" "us"
[    36.216] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[    36.216] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    36.216] (II) Using input driver 'evdev' for 'Power Button'
[    36.216] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.216] (**) Power Button: always reports core events
[    36.216] (**) Power Button: Device: "/dev/input/event1"
[    36.216] (--) Power Button: Found keys
[    36.216] (II) Power Button: Configuring as keyboard
[    36.216] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1/event1"
[    36.216] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 7)
[    36.216] (**) Option "xkb_rules" "evdev"
[    36.216] (**) Option "xkb_model" "pc101"
[    36.216] (**) Option "xkb_layout" "us"
[    36.217] (II) config/udev: Adding input device VF0520 Live! Cam Sync (/dev/input/event5)
[    36.217] (**) VF0520 Live! Cam Sync: Applying InputClass "evdev keyboard catchall"
[    36.217] (II) Using input driver 'evdev' for 'VF0520 Live! Cam Sync'
[    36.217] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.217] (**) VF0520 Live! Cam Sync: always reports core events
[    36.217] (**) VF0520 Live! Cam Sync: Device: "/dev/input/event5"
[    36.217] (--) VF0520 Live! Cam Sync: Found keys
[    36.217] (II) VF0520 Live! Cam Sync: Configuring as keyboard
[    36.217] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-5/1-5:1.0/input/input5/event5"
[    36.217] (II) XINPUT: Adding extended input device "VF0520 Live! Cam Sync" (type: KEYBOARD, id 8)
[    36.217] (**) Option "xkb_rules" "evdev"
[    36.218] (**) Option "xkb_model" "pc101"
[    36.218] (**) Option "xkb_layout" "us"
[    36.218] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[    36.218] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    36.218] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[    36.218] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.218] (**) AT Translated Set 2 keyboard: always reports core events
[    36.218] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[    36.219] (--) AT Translated Set 2 keyboard: Found keys
[    36.219] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[    36.219] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[    36.219] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 9)
[    36.219] (**) Option "xkb_rules" "evdev"
[    36.219] (**) Option "xkb_model" "pc101"
[    36.219] (**) Option "xkb_layout" "us"
[    36.219] (II) config/udev: Adding input device PS2++ Logitech TrackMan (/dev/input/event4)
[    36.219] (**) PS2++ Logitech TrackMan: Applying InputClass "evdev pointer catchall"
[    36.219] (II) Using input driver 'evdev' for 'PS2++ Logitech TrackMan'
[    36.220] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    36.220] (**) PS2++ Logitech TrackMan: always reports core events
[    36.220] (**) PS2++ Logitech TrackMan: Device: "/dev/input/event4"
[    36.220] (--) PS2++ Logitech TrackMan: Found 8 mouse buttons
[    36.220] (--) PS2++ Logitech TrackMan: Found relative axes
[    36.220] (--) PS2++ Logitech TrackMan: Found x and y relative axes
[    36.220] (II) PS2++ Logitech TrackMan: Configuring as mouse
[    36.220] (**) PS2++ Logitech TrackMan: YAxisMapping: buttons 4 and 5
[    36.220] (**) PS2++ Logitech TrackMan: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    36.220] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input4/event4"
[    36.220] (II) XINPUT: Adding extended input device "PS2++ Logitech TrackMan" (type: MOUSE, id 10)
[    36.220] (II) PS2++ Logitech TrackMan: initialized for relative axes.
[    36.220] (**) PS2++ Logitech TrackMan: (accel) keeping acceleration scheme 1
[    36.220] (**) PS2++ Logitech TrackMan: (accel) acceleration profile 0
[    36.220] (**) PS2++ Logitech TrackMan: (accel) acceleration factor: 2.000
[    36.220] (**) PS2++ Logitech TrackMan: (accel) acceleration threshold: 4
[    36.221] (II) config/udev: Adding input device PS2++ Logitech TrackMan (/dev/input/mouse0)
[    36.221] (II) No input driver/identifier specified (ignoring)
[    36.221] (II) config/udev: Adding input device PC Speaker (/dev/input/event3)
[    36.221] (II) No input driver/identifier specified (ignoring)
^^^^^^^^^^ /var/log/Xorg.0.log ^^^^^^^^^^


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-nvidia depends on:
ii  libc6                                  2.13-21               
ii  libgl1-nvidia-glx                      280.13.really.275.28-1
ii  nvidia-alternative                     280.13.really.275.28-1
ii  nvidia-installer-cleanup               20110729+2            
ii  nvidia-support                         20110729+2            
ii  xserver-xorg-core [xorg-video-abi-11]  2:1.11.1-1            

Versions of packages xserver-xorg-video-nvidia recommends:
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1
ii  nvidia-vdpau-driver                        280.13.really.275.28-1

Versions of packages xserver-xorg-video-nvidia suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1
ii  nvidia-settings                          280.13-1              

Versions of packages nvidia-glx depends on:
ii  dpkg                                       1.16.0.3              
ii  libgl1-nvidia-glx                          280.13.really.275.28-1
ii  nvidia-alternative                         280.13.really.275.28-1
ii  nvidia-installer-cleanup                   20110729+2            
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1
ii  nvidia-support                             20110729+2            
ii  nvidia-vdpau-driver                        280.13.really.275.28-1

Versions of packages nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1
ii  nvidia-settings                          280.13-1              

Versions of packages libgl1-nvidia-glx depends on:
ii  libc6                     2.13-21               
ii  libx11-6                  2:1.4.4-1             
ii  libxext6                  2:1.3.0-3             
ii  libxv1                    2:1.0.6-2             
ii  libxvmc1                  2:1.0.6-1             
ii  multiarch-support         2.13-21               
ii  nvidia-alternative        280.13.really.275.28-1
ii  nvidia-installer-cleanup  20110729+2            
ii  nvidia-support            20110729+2            

Versions of packages libgl1-nvidia-glx recommends:
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1

Versions of packages libgl1-nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1

Versions of packages nvidia-alternative depends on:
ii  glx-alternative-nvidia      0.1.94                
ii  libgl1-nvidia-alternatives  280.13.really.275.28-1
ii  libglx-nvidia-alternatives  280.13.really.275.28-1

Versions of packages nvidia-kernel-dkms depends on:
ii  dkms                      2.2.0.2-1 
ii  nvidia-installer-cleanup  20110729+2
ii  nvidia-kernel-common      20110729+2

Versions of packages nvidia-kernel-dkms recommends:
ii  nvidia-glx  280.13.really.275.28-1

Versions of packages glx-alternative-nvidia depends on:
ii  glx-alternative-mesa  0.1.94
ii  glx-diversions        0.1.94

Versions of packages glx-alternative-nvidia suggests:
ii  nvidia-glx  280.13.really.275.28-1

Versions of packages xserver-xorg-video-nvidia is related to:
ii  libgl1-nvidia-glx [libgl1-nvidia-glx-any]            280.13.really.275.28-1
ii  libgl1-nvidia-glx-ia32-any                           <none>                
ii  linux-headers-3.0.0-1-686-pae [linux-headers]        3.0.0-3               
ii  linux-headers-686-pae [linux-headers]                3.0.0+39              
ii  nvidia-glx [nvidia-glx-any]                          280.13.really.275.28-1
ii  nvidia-kernel-common                                 20110729+2            
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]              280.13.really.275.28-1
ii  nvidia-kernel-source                                 <none>                
ii  nvidia-settings                                      280.13-1              
ii  nvidia-support                                       20110729+2            
ii  nvidia-xconfig                                       280.13-1              
ii  xserver-xorg                                         1:7.6+8               
ii  xserver-xorg-core                                    2:1.11.1-1            
ii  xserver-xorg-video-nvidia [xserver-xorg-video-nvidi  280.13.really.275.28-1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package xserver-xorg-video-nvidia. (Sat, 01 Oct 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to klaumikli@gmx.de:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 01 Oct 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 643903@bugs.debian.org (full text, mbox):

From: Klaumi Klingsporn <klaumikli@gmx.de>
To: 643903@bugs.debian.org
Subject: #643903: The same here
Date: Sat, 1 Oct 2011 21:15:26 +0200
Hello,

It's the same here: Claws-Mail needs about 10 sec. to draw a new
window, leafpad a little bit more, you can't really move windows, to
put a window in the foreground takes many seconds and so on ... (not to
speak about ardour!)

I 've got a system, which is not really usable!

Unfortunately also apt-move refuses to work correctly since the last
update, so I've no packages of the old xorg-versions :-(
It's very annoying!

Does somebody know if it would be a solution to install the nvidia
packages from experimental?

Klaumi

--- 
Klaus-M. Klingsporn            
klaumikli@gmx.de
http://www.klaumikli.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package xserver-xorg-video-nvidia. (Sun, 02 Oct 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Russo <alex9570@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 02 Oct 2011 11:03:10 GMT) Full text and rfc822 format available.

Message #15 received at 643903@bugs.debian.org (full text, mbox):

From: Alexandre Russo <alex9570@gmail.com>
To: 643903@bugs.debian.org
Subject: The same problem
Date: Sun, 2 Oct 2011 12:58:26 +0200
[Message part 1 (text/plain, inline)]
Hello,

i have the same problem and for waiting i use this solution :

use the snapshot depot :

deb http://snapshot.debian.org/archive/debian/20110824T151303Z sid main
contrib non-free

remove xserver-common and xserver-xorg-core, reinstall xserver-common and
xserver-xorg-core and with default depot reinstall nvidia-glx.

Alexandre.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package xserver-xorg-video-nvidia. (Mon, 03 Oct 2011 00:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "J.P. Lien" <jolien@vt.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 03 Oct 2011 00:12:10 GMT) Full text and rfc822 format available.

Message #20 received at 643903@bugs.debian.org (full text, mbox):

From: "J.P. Lien" <jolien@vt.edu>
To: 643903@bugs.debian.org
Subject: Same Problem
Date: Sun, 02 Oct 2011 19:58:57 -0400
Just wanted to chime in with the same problem.  Iceweasel is generally
quite slow, and loading ant page with flash makes it unusable, causing
xorg to peg a cpu core at 100%.  When this happens switching between
tabs/windows becomes incredibly slow.

A combination of the workarounds above worked for me.  I put Alexandre's
snapshot line into my sources.list, changing sid to wheezy.  I rolled
back to the snapshot versions of xserver-common, xserver-xorg-core.

At this point I found keyboard and mouse were unresponsive, and so I
rebooted to single-user and installed snapshot versions of
xserver-xorg-input-kbd, xserver-xorg-input-mouse, and
xserver-xorg-input-evdev.

I also rolled back to version 280.13-1 of the nvidia drivers, although
I'm not sure if that was necessary.

J.P. Lien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package xserver-xorg-video-nvidia. (Mon, 03 Oct 2011 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@jon.limedaley.com:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 03 Oct 2011 14:39:05 GMT) Full text and rfc822 format available.

Message #25 received at 643903@bugs.debian.org (full text, mbox):

From: debian@jon.limedaley.com
To: 643903@bugs.debian.org
Subject: Re: debian : downgrade xorg bug report #643903
Date: Mon, 3 Oct 2011 10:26:27 -0400 (EDT)
I got a couple personal emails replying to this bug wondering how I solved 
it.

My solution is similar to the reports above.

I used:
deb http://snapshot.debian.org/archive/debian/20110911T211512Z/ testing main contrib non-free
And rolled back:

[DOWNGRADE] xserver-xorg-core 2:1.11.1-1 -> 2:1.10.4-1
[DOWNGRADE] xserver-xorg-input-evdev 1:2.6.0-2+b2 -> 1:2.6.0-2+b1
[DOWNGRADE] xserver-xorg-input-kbd 1:1.6.0-3+b1 -> 1:1.6.0-3
[DOWNGRADE] xserver-xorg-input-mouse 1:1.7.1-1+b1 -> 1:1.7.1-1

I didn't need to touch the nvidia stuff, and both versions of nvidia 
worked with the older xserver packages.



-- 
Jon Daley
http://jon.limedaley.com
~~
Eamus, O tibialia rubentia!
-- Latin for All Occasions




Bug reassigned from package 'xserver-xorg-video-nvidia' to 'nvidia-graphics-drivers'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 04 Oct 2011 10:45:10 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 280.13.really.275.28-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 04 Oct 2011 10:45:11 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 04 Oct 2011 11:03:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 285.05.09-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 05 Oct 2011 13:45:10 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 05 Oct 2011 13:45:16 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 05 Oct 2011 18:01:04 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350 644505. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 06 Oct 2011 16:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#643903; Package nvidia-graphics-drivers. (Fri, 07 Oct 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Daley <debian@jon.limedaley.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 07 Oct 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #44 received at 643903@bugs.debian.org (full text, mbox):

From: Jon Daley <debian@jon.limedaley.com>
To: 643903@bugs.debian.org
Subject: Re: fglrx driver
Date: Fri, 7 Oct 2011 12:06:51 -0400 (EDT)
Use the following command to get around the expired error.

aptitude -o 'Acquire::Check-Valid-Until=false' update

(and folks - please just email the bug report, rather than me personally - 
I'll see the reports, and reply that way - or other people can chime in if 
they know the answer...)

On Fri, 7 Oct 2011, Damiano wrote:
> Hey,
> when i try to apt-get update with the source you wrote (
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643903#25)
> I get this Error:
> E: Release file for
> http://snapshot.debian.org/archive/debian/20110911T211512Z/dists/testing/InReleaseis
> expired (invalid since 18 d 11 h 4 min 34 s). Updates for this
> repository
> will not be applied.
>
> is there anything I can do about it?
>
> greez
>

-- 
Jon Daley
http://jon.limedaley.com
~~
We are trying to get unemployment to go up and
  I think we're going to succeed.
-- Ronald Reagan




Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350 644505 644686. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 09 Oct 2011 13:57:05 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350 644505 644686 644829. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 10 Oct 2011 19:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350 644505 644686 644829 645641. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 18 Oct 2011 07:42:14 GMT) Full text and rfc822 format available.

Forcibly Merged 642757 643706 643712 643762 643903 643919 643983 644119 644302 644350 644505 644686 644829 645641 645986. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 21 Oct 2011 08:33:14 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 290.03-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 18 Feb 2012 21:39:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Mar 2012 07:32:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:19:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.